## com.mysql.jdbc
Interface SocketMetadata

All Known Implementing Classes:
  NamedPipeSocketFactory, StandardSocketFactory

    public interface SocketMetadata

Method Summary
`boolean` `isLocallyConnected(ConnectionImpl conn)`

Method Detail

### isLocallyConnected

    boolean isLocallyConnected(ConnectionImpl conn)
                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`